/*
* Copyright (c) 2021 Genexis Netherlands B.V. All rights reserved.
* This Software and its content are protected by the Dutch Copyright Act
* ('Auteurswet'). All and any copying and distribution of the software
* and its content without authorization by Genexis Netherlands B.V. is
* prohibited. The prohibition includes every form of reproduction and
* distribution.
*/

#include <stdio.h>
#include <string.h>
#include <unistd.h>

/* C Wrapper for operator to login to the CLI via ssh: the shell in
 * the passwd file cannot be a script that requires an interpreter. */
int main(int argc, char *argv[])
{
	char *cmd[3 + (argc > 1 ? argc - 1 : 0)];

	cmd[0] = "/usr/bin/qjs";
	cmd[1] = "/usr/lib/dmcli/cli/main.js";
	cmd[2] = NULL;

	if (argc > 1) {
		memcpy(&cmd[2], &argv[1], (argc - 1) * sizeof(char *));
		cmd[2 + argc - 1] = NULL;
	}

	execv(cmd[0], cmd);
	fprintf(stderr, "%s: command not found\n", cmd[0]);
	return 127;
}
